
TYPO3.Media - Bug # 47394

Status: Resolved Priority: Should have
Author: Thomas Hempel Category:
Created: 2013-04-20 Assigned To: Adrian Föder
Updated: 2013-09-03 Due date:
Subject: Unnecessary requirement for \Image implementation in ImageService and ImageVariant
Description

Hi,

when implementing the ImageInterface, you probably do that to use the viewhelpers from Media package. Due to a little oddity, this
doesn't work right now. The constructor of the  ImageVariant requires a concrete implementation of 
\TYPO3\Media\Domain\Model\Image and so does the transformImage method in the ImageService.

This makes it pretty much impossible to have your own image model without duplicating almost the entire media package.

As far as I can oversee it, this can be fixed pretty easily by setting the required type to the interface instead of the implementation. I've
attached a patch that does that.

Associated revisions
Revision 1f896fc3 - 2013-09-03 11:42 - Adrian Föder

[TASK] Replace tight Image coupling with ImageInterface

This replaces occurrences of unnecessary tight Image type hints with
the more loose ImageInterface.

Besides, some minor code beautifications are made.

Resolves: #47394
Change-Id: I787a4ac70752bb70820787efba76bd6005da140a
Reviewed-on: https://review.typo3.org/20041
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns
Tested-by: Adrian Föder
Reviewed-by: Aske Ertmann
Reviewed-by: Mattias Nilsson
Reviewed-by: Adrian Föder

History
#1 - 2013-04-20 11:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20041

#2 - 2013-04-20 11:41 - Adrian Föder
- Status changed from New to Under Review
#3 - 2013-04-22 11:51 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20041

#4 - 2013-08-09 17:19 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20041

#5 - 2013-09-03 12:35 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1f896fc354d3af41e6e64777a2255c2250758483.

Files
ImageInterface_patch.diff 2 kB 2013-04-20 Thomas Hempel
